org.apache.uima.analysis_engine.annotator

## Interface GenericAnnotator

- All Superinterfaces:
    BaseAnnotator
  All Known Implementing Classes:
    GenericAnnotator_ImplBase

  Deprecated.
  As of release 2.3.0, use CasAnnotator_ImplBase or JCasAnnotator_ImplBase instead

      @Deprecated
      public interface GenericAnnotator
      extends BaseAnnotator

  Interface implemented for multiple-sofa annotators in UIMA SDK v1.x As of v2.0, annotators should extend `CasAnnotator_ImplBase` or `JCasAnnotator_ImplBase`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(CAS aCAS, ResultSpecification aResultSpec)` Deprecated. Invokes this annotator's analysis logic.

    - ### Methods inherited from interface org.apache.uima.analysis_engine.annotator.BaseAnnotator

      `destroy, initialize, reconfigure, typeSystemInit`

- - ### Method Detail

    - #### process

          void process(CAS aCAS,
                       ResultSpecification aResultSpec)
                throws AnnotatorProcessException

      Deprecated.
      Invokes this annotator's analysis logic. Prior to calling this method, the caller must ensure that the `CAS` has been populated with all information that this annotator needs to do its processing. This annotator will access the data in the CAS and add new data to the CAS.

      The caller must also guarantee that the `ResultSpecification` falls within the scope of the `Capabilities` of this annotator (as published by its containing AnalysisEngine).

      The annotator will only produce the output types and features that are declared in the `aResultSpec` parameter.

      Parameters:
        `aCAS` - contains the artifact to be analyzed and may contain other metadata about that artifact.
        `aResultSpec` - A list of output types and features that this annotator should produce.
      Throws:
        `AnnotatorProcessException` - if a failure occurs during processing.

Copyright © 2006–2019 The Apache Software Foundation. All rights reserved.